load_voc(3)

NAME
load_voc - Loads a sample from a Creative Labs VOC file. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

SAMPLE *load_voc(const char *filename);

DESCRIPTION
Loads a sample from a Creative Labs VOC file. Example:
   SAMPLE *sample = load_voc("alarm.voc");
   if (!sample)
      abort_on_error("Couldn't alert user!");

RETURN VALUE
Returns a pointer to the SAMPLE or NULL on error. Remember to free this sample later to avoid memory leaks.

SEE ALSO
load_sample(3), register_sample_file_type(3)